# Package grails.plugins

- Interface Summary
  Interface | Description
  --- | ---
  GrailsPlugin |
  GrailsPluginInfo | Base interface that just contains information about a particular plugin.
  GrailsPluginManager |
  PluginFilter | Defines interface for obtaining a sublist of `GrailsPlugin` instances based on an original supplied list of `GrailsPlugin` instances.
  PluginManagerAware | For implementors interested in obtaining a reference to the Grails PluginManager instance.
  PluginManagerLoader | Interface for a class that loads plugins

- Class Summary
  Class | Description
  --- | ---
  DefaultGrailsPluginManager |
  GrailsVersionUtils |
  Plugin | Super class for plugins to implement.
  VersionComparator | A comparator capable of sorting versions from from newest to oldest

- Exception Summary
  Exception | Description
  --- | ---
  InvalidVersionException | Throw when a specified version number is invalid.